%define oname ppx_jane

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.13.0
Release:        %mkrel 5
Summary:        Standard Jane Street ppx rewriters

Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  opam

BuildRequires:  ocaml-ppxlib
BuildRequires:  ocaml-base_quickcheck
BuildRequires:  ocaml-ppx_assert >= 1:0.11
BuildRequires:  ocaml-ppx_base >= 0.11
BuildRequires:  ocaml-ppx_bench >= 0.11
BuildRequires:  ocaml-ppx_bin_prot >= 1:0.11
BuildRequires:  ocaml-ppx_cold
BuildRequires:  ocaml-ppx_custom_printf >= 1:0.11
BuildRequires:  ocaml-ppx_expect >= 0.11
BuildRequires:  ocaml-ppx_fail >= 1:0.11
BuildRequires:  ocaml-ppx_fields_conv >= 1:0.11
BuildRequires:  ocaml-ppx_here >= 0.11
BuildRequires:  ocaml-ppx_inline_test >= 0.11
BuildRequires:  ocaml-ppx_let >= 1:0.11
BuildRequires:  ocaml-ppx_module_timer
BuildRequires:  ocaml-ppx_optcomp >= 0.11
BuildRequires:  ocaml-ppx_optional >= 0.11
BuildRequires:  ocaml-ppx_pipebang >= 0.11
BuildRequires:  ocaml-ppx_sexp_message >= 0.11
BuildRequires:  ocaml-ppx_sexp_value >= 0.11
BuildRequires:  ocaml-ppx_stable
BuildRequires:  ocaml-ppx_typerep_conv >= 0.11
BuildRequires:  ocaml-ppx_variants_conv >= 1:0.11
BuildRequires:  ocaml-migrate-parsetree >= 1.0
BuildRequires:  ocaml-result-devel

Requires:       ocaml-base_quickcheck
Requires:       ocaml-ppx_assert
Requires:       ocaml-ppx_base
Requires:       ocaml-ppx_bench
Requires:       ocaml-ppx_bin_prot
Requires:       ocaml-ppx_cold
Requires:       ocaml-ppx_custom_printf
Requires:       ocaml-ppx_expect
Requires:       ocaml-ppx_fail
Requires:       ocaml-ppx_fields_conv
Requires:       ocaml-ppx_here
Requires:       ocaml-ppx_inline_test
Requires:       ocaml-ppx_let
Requires:       ocaml-ppx_module_timer
Requires:       ocaml-ppx_optcomp
Requires:       ocaml-ppx_optional
Requires:       ocaml-ppx_pipebang
Requires:       ocaml-ppx_sexp_message
Requires:       ocaml-ppx_sexp_value
Requires:       ocaml-ppx_stable
Requires:       ocaml-ppx_typerep_conv
Requires:       ocaml-ppx_variants_conv

%description
Standard Jane Street ppx rewriters

This package installs a ppx-jane executable, which is a ppx driver
including all standard Jane Street ppx rewriters.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       ocaml-base_quickcheck-devel
Requires:       ocaml-ppx_stable-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
dune runtest

%files
%doc LICENSE.md CHANGES.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs

%dir %{_libdir}/ocaml/%{oname}/*/
%{_libdir}/ocaml/%{oname}/*/*.cmi
%{_libdir}/ocaml/%{oname}/*/*.cma
%{_libdir}/ocaml/%{oname}/*/*.a
%{_libdir}/ocaml/%{oname}/*/*.cmxa
%{_libdir}/ocaml/%{oname}/*/*.cmxs

%{_libdir}/ocaml/%{oname}/ppx.exe
%{_libdir}/ocaml/%{oname}/*/ppx.exe
%{_bindir}/ppx-jane

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*

%{_libdir}/ocaml/%{oname}/*/*.cmt
%{_libdir}/ocaml/%{oname}/*/*.cmx
%{_libdir}/ocaml/%{oname}/*/*.ml*



%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-5.mga8
+ Revision: 1670831
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-4.mga8
+ Revision: 1552059
- Rebuild for ocaml 4.10.0 final
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 tv <tv> 1:0.13.0-2.mga8
+ Revision: 1485398
- rebuild for new ocaml-stdio

* Tue Jan 28 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1484207
- add more runtime deps

* Mon Jan 27 2020 tv <tv> 1:0.13.0-0.1.mga8
+ Revision: 1484109
- new release + rebuild for ocaml-4.10

* Wed Oct 24 2018 pterjan <pterjan> 1:0.11.0-2.mga7
+ Revision: 1324912
- Add back incorrectly dropped dependencies

* Wed Oct 24 2018 pterjan <pterjan> 1:0.11.0-1.mga7
+ Revision: 1324789
- Update to 0.11.0

* Fri Sep 28 2018 umeabot <umeabot> 1:0.10.0-5.mga7
+ Revision: 1310497
- Mageia 7 Mass Rebuild

* Thu Jul 05 2018 daviddavid <daviddavid> 1:0.10.0-4.mga7
+ Revision: 1241950
- rebuild against current ocaml stack
- enable debug package as it should

* Tue Jan 16 2018 pterjan <pterjan> 1:0.10.0-3.mga7
+ Revision: 1193714
- Add more missing dependencies

* Mon Jan 15 2018 pterjan <pterjan> 1:0.10.0-2.mga7
+ Revision: 1193695
- Add missing explicit dependency

* Mon Jan 15 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1193574
- Update to v0.10.0
+ tv <tv>
- rebuild for new ocaml

* Tue Feb 23 2016 pterjan <pterjan> 113.24.01-1.mga6
+ Revision: 976207
- imported package ocaml-ppx_jane

